/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.env.descriptor;

import org.ow2.orchestra.pvm.internal.wire.WireContext;
import org.ow2.orchestra.pvm.internal.wire.WireDefinition;
import org.ow2.orchestra.pvm.internal.wire.descriptor.AbstractDescriptor;
import org.ow2.orchestra.services.InvokeExecutor;


/**
 * @author Guillaume Porcher
 *
 */
public class InvokeExecutorDescriptor extends AbstractDescriptor {

  private static final long serialVersionUID = -8255044941433109182L;

  private int maxThreads = 20;

  public Object construct(final WireContext wireContext) {
    return new InvokeExecutor(this.maxThreads);
  }

  @Override
  public Class< ? > getType(final WireDefinition wireDefinition) {
    return InvokeExecutor.class;
  }


  /**
   * @return the maxThreads
   */
  public int getMaxThreads() {
    return this.maxThreads;
  }


  /**
   * @param maxThreads the maxThreads to set
   */
  public void setMaxThreads(final int maxThreads) {
    this.maxThreads = maxThreads;
  }
}
