/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.jmx.commands;


import java.util.logging.Level;

import org.ow2.orchestra.definition.BpelProcess;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.pvm.env.Environment;
import org.ow2.orchestra.pvm.internal.cmd.Command;
import org.ow2.orchestra.services.itf.Publisher;
import org.ow2.orchestra.services.itf.Repository;
import org.ow2.orchestra.util.EnvTool;
import org.ow2.orchestra.util.Misc;

public final class DeployWSCommand implements Command<Void> {

  /**
   *
   */
  private static final long serialVersionUID = 1L;
  /**
   *
   */
  private final ProcessDefinitionUUID processDefinitionUUID;

  /**
   * @param bpelDeployment
   */
  public DeployWSCommand(final ProcessDefinitionUUID processDefinitionUUID) {
    this.processDefinitionUUID = processDefinitionUUID;
  }
  public Void execute(final Environment environment) {
    Misc.log(Level.INFO, "Deploying web services for process " + this.processDefinitionUUID + ".");
    final Repository repository = EnvTool.getRepository();

    final BpelProcess bpelProcess = repository.getProcess(this.processDefinitionUUID);

    final Publisher publisher = environment.get(Publisher.class);
    publisher.publishServices(bpelProcess, environment);
    return null;
  }
}
